Bug 241202 - net-p2p/deluge: Update to 2.x
Summary: net-p2p/deluge: Update to 2.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Ruslan Makhmatkhanov
URL:
Keywords: needs-patch, needs-qa
Depends on: 242797
Blocks:
  Show dependency treegraph
 
Reported: 2019-10-11 15:55 UTC by johannesfalke
Modified: 2020-04-22 15:18 UTC (History)
10 users (show)

See Also:
bugzilla: maintainer-feedback? (rm)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description johannesfalke 2019-10-11 15:55:26 UTC
Deluge 2.x was released 4 months ago. Deluge 1.x and 2.x are not compatible, so people running Deluge in thin-client mode cannot update to the latest version.
Comment 1 daniel.engberg.lists 2019-12-09 07:35:02 UTC
Hi Ruslan,

Could you have a look at bumping Deluge as there's a patch for libtorrent-rasterbar waiting to be committed and this will break Deluge 1.X-series?
https://reviews.freebsd.org/D21889

Best regards,
Daniel
Comment 2 Ruslan Makhmatkhanov freebsd_committer 2019-12-09 09:52:49 UTC
Hi, 
sadly still had no enough time to work on the update. But will try to spend some time this week, since the breaking change is on the way...
Comment 3 daniel.engberg.lists 2019-12-18 09:04:57 UTC
Hi,

Any progress or can we temporarily mark this as broken?

Best regards,
Daniel
Comment 4 Ruslan Makhmatkhanov freebsd_committer 2019-12-18 12:01:25 UTC
Yes, I built a new port yesterday. Now I need to test it with new libtorrent and potentially sharp couple of angles in the bundled rc-scripts. I expect the updated deluge lands at ports tree this weekend.
Comment 5 daniel.engberg.lists 2019-12-18 13:22:56 UTC
Sounds great, thanks for looking into it.
Comment 6 Yuri Victorovich freebsd_committer 2019-12-20 02:21:11 UTC
Maintainer's timeout expired.
Comment 7 Yuri Victorovich freebsd_committer 2019-12-20 03:24:15 UTC
Port updated.
Comment 8 commit-hook freebsd_committer 2019-12-20 03:25:01 UTC
A commit references this bug:

Author: yuri
Date: Fri Dec 20 03:24:08 UTC 2019
New revision: 520459
URL: https://svnweb.freebsd.org/changeset/ports/520459

Log:
  net-p2p/deluge: Update 1.3.15 -> 2.0.3

  Update is necessary because the underlying library libtorrent-rasterbar needs to be updated.

  PR:		241202
  Approved by:	rm (maintainer's timeout)

Changes:
  head/net-p2p/deluge/Makefile
Comment 9 Ruslan Makhmatkhanov freebsd_committer 2019-12-20 07:50:47 UTC
Is this a kind of joke or what? The "update" is just simple as bumping of portversion? Seriously? 

Please revert that and mark net-p2p/deluge-cli broken with recent libtorrent.
Comment 10 Ruslan Makhmatkhanov freebsd_committer 2019-12-20 07:51:35 UTC
Port is now broken
Comment 11 Yuri Victorovich freebsd_committer 2019-12-20 07:59:59 UTC
net-p2p/deluge-cli@py27 builds.

net-p2p/deluge also builds fine, and it was a comment from a user that it works. So why revert?
Comment 12 Yuri Victorovich freebsd_committer 2019-12-20 08:15:32 UTC
(In reply to Ruslan Makhmatkhanov from comment #10)

I am able to install and run deluge, it connects to peers and downloads torrents. 

I am not sure why are you saying that it is broken.
Comment 13 Ruslan Makhmatkhanov freebsd_committer 2019-12-20 08:18:39 UTC
I don't understand how it supposed to work. net-p2p/deluge is just a metaport, that adds some UI dependencies and It even not depending upon libtorrent lol. You didn't update deluge-cli (that is actually depends on libtorrent) - it's still at version 1.3.15. 

Comment from what user? 
And why you add maintainer timeout? My last response here was two days ago.

net-p2p/deluge may build fine, because it's a metaport, but what problem your commit is solving?
Comment 14 Ruslan Makhmatkhanov freebsd_committer 2019-12-20 08:21:29 UTC
(In reply to Yuri Victorovich from comment #12)

what version of deluge-cli you have installed? If 1.3.15 still working with libtorrent 1.2.2, then what the whole point of this PR?
Comment 15 Yuri Victorovich freebsd_committer 2019-12-20 08:29:48 UTC
deluge-cli-1.3.15_9 works.

Sorry, I was under impression that deluge needed to be updated for libtorrent-rasterbar.
It turns out that it wasn't required.
Comment 16 Ruslan Makhmatkhanov freebsd_committer 2019-12-20 08:33:50 UTC
(In reply to Yuri Victorovich from comment #15)

Ok, then please revert your commit to net-p2p/deluge, because it doesn't actually changes anything, but confusing the users. As I said recently, I'm going to update it to 2.0.3 this weekend after proper testing.
Comment 17 Kubilay Kocak freebsd_committer freebsd_triage 2020-01-07 09:05:56 UTC
@Ruslan Given the incompatibility between major versions, should deluge 2.x potentially come in as net-p2p/deluge2, or net-p2p/deluge copied to net-p2p/deluge1 before updating the current port to 2.x ?
Comment 18 Yuri Victorovich freebsd_committer 2020-01-07 16:19:52 UTC
Please test it with the new py-libtorrent patch in the dependency bug.
Comment 19 Ruslan Makhmatkhanov freebsd_committer 2020-01-07 18:22:21 UTC
(In reply to Kubilay Kocak from comment #17)

Can't test if deluge 1.x is working with new libtorrent, because it now broken in ports tree. Anyway, I'm not going to maintain two branches of deluge - just have no time resources for that. My goal was to just update deluge to 2.x and that's all
Comment 20 s84918960@gmail.com 2020-01-10 11:52:36 UTC
 Hope deluge keep the version 1.3.15
Because most people use deluge for Private Tracker,the most website is not allow deluge 2.0
Comment 21 Rene Ladan freebsd_committer 2020-03-01 17:44:32 UTC
Note that this port expired today due to still using Python 2.7 which got unsupported this year by upstream.
Comment 22 Sam H 2020-04-03 19:46:50 UTC
Where is the promised update to Deluge 2?
Comment 23 commit-hook freebsd_committer 2020-04-22 15:04:50 UTC
A commit references this bug:

Author: rm
Date: Wed Apr 22 15:04:26 UTC 2020
New revision: 532483
URL: https://svnweb.freebsd.org/changeset/ports/532483

Log:
  net-p2p/deluge: update to 2.0.3

  2.0 release notes: https://deluge.readthedocs.io/en/latest/releases/2.0.html
  2.0.3 changelog: https://deluge.readthedocs.io/en/latest/changelog.html

  This update includes migrating to python3/gtk3 stack and some extra stability
  fixes from upstream repository, not yet released.

  The port still need rc-scripts to be adjusted to run in headless mode out of
  the box, but user may just toggle "Auto-connect to selected daemon" and
  "Auto-start localhost daemon" or click "Start daemon" button in connection
  manager window to make things happen. This (rc-scripts update) would be done
  later when time permits.

  PR:		241202
  Reported by:	many

Changes:
  head/net-p2p/deluge/Makefile
  head/net-p2p/deluge-cli/Makefile
  head/net-p2p/deluge-cli/distinfo
  head/net-p2p/deluge-cli/files/patch-deluge_argparserbase.py
  head/net-p2p/deluge-cli/files/patch-deluge_core_torrent.py
  head/net-p2p/deluge-cli/files/patch-deluge_core_torrentmanager.py
  head/net-p2p/deluge-cli/files/patch-setup.py
  head/net-p2p/deluge-cli/pkg-plist